@mixin markdown-highlight {
	margin-top: 1rem;
	color: inherit;
	border: none;
	position: relative;

	code {
		min-width: 100%;
	}
}

.topic .posts .content {
	.btn-code-resize {
		right: 0;
		margin: 0.5rem 4rem 0 0;

		i.fa {
			pointer-events: none;
		}
	}

	pre.markdown-highlight.markdown-highlight-expanded {
		max-height: 100%;
	}
}

// Backwards compatibility with themes without components
.markdown-highlight, .post-content pre, .topic-text pre, .composer .preview pre {
	@include markdown-highlight;
}

.markdown-highlight .hljs {
	display: block;
}

[component="post/content"], .composer-container .preview {
	div.plugin-markdown {
		display: flex;

		input[type="checkbox"] {
			margin-right: 0.5rem;
			position: relative;
			top: 1px;

			&+label {
				font-weight: unset;
				flex: 1;
			}
		}
	}
}

.composer .formatting-bar .formatting-group li[data-format="code"] {
	padding-left: 5px;
	padding-right: 5px;
}

.composer .formatting-bar .formatting-group li[data-format="code"] select {
	display: inline-block;
	padding: 0;
	height: auto;
	width: auto;
	margin-right: 10px;
}

.composer .formatting-bar .formatting-group li[data-format="code"] i.fa.fa-code {
	font-weight: bold;
}

a.plugin-markdown-hidden-link {
	&::before {
		content: 'hidden link';
		border: 1px dashed $danger;
		padding: .25rem;
		border-radius: var(--bs-border-radius) !important;
	}
}
